[[runners]]
  name = "your-runner-name"
  url = "https://gitlab.com/"
  token = "your-runner-token"
  executor = "docker"
  [runners.custom_build_dir]
  [runners.docker]
    tls_verify = false
    image = "node:14"  # Use an image with Node.js and Docker installed
    privileged = true
    disable_entrypoint_overwrite = false
    oom_kill_disable = false
    disable_entrypoint_overwrite = false
    shm_size = 0
    pull_policy = "if-not-present"
  [runners.cache]
    [runners.cache.s3]
    [runners.cache.gcs]
